For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Labels used to categorize, filter, and classify resources. Learn more about tags here.

List Tags

get
/api/v1/tag

Get a list of tags. No filtering is currently available.

Authorizations
Responses
200

List of tags.

application/json
countintegerOptional

The total count of items returned.

Example: 315
total_pagesintegerOptional

The total number of pages.

Example: 7
get/api/v1/tag
GET /api/v1/tag HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "links": {
    "next": "https://api.secoda.co/resource/all/?page=2",
    "previous": "None"
  },
  "meta": {
    "page": 1,
    "previous_page": "None",
    "next_page": 2
  },
  "count": 315,
  "total_pages": 7,
  "results": [
    {
      "id": "69e0b863-8bb8-47e1-b566-8b8d57441c70",
      "created_at": "2023-09-05T17:32:56.571134Z",
      "updated_at": "2023-09-05T17:32:56.571151Z",
      "name": "Sample Tag",
      "description": "This is a sample tag.",
      "color": "#4299E1",
      "integration_id": "69e0b863-8bb8-47e1-b566-8b8d57441c70",
      "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435"
    }
  ]
}

Create Tag

post
/api/v1/tag

Create a new tag for the workspace.

Authorizations
Body
namestringOptional

Indicates the name of the tag.

Example: Sample Tag
descriptionstringOptional

Indicates the description of the tag.

Example: This is a sample tag.
colorstringOptional

Defines the different colors of the tags.

Example: #4299E1
Responses
201

Created

application/json
idstringOptional

The unique identifier of the resource.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-09-05T17:32:56.571134Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-09-05T17:32:56.571151Z
namestringOptional

Indicates the name of the tag.

Example: Sample Tag
descriptionstringOptional

Indicates the description of the tag.

Example: This is a sample tag.
colorstringOptional

Defines the different colors of the tags in HEX format.

Example: #4299E1
integration_idstringOptional

The unique identifier of the integration the tag is pulled from. Null if the tag is created manually in Secoda.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
workspace_idstringOptional

Indiactes the workspace ID where the tag belongs.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
post/api/v1/tag
POST /api/v1/tag HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "name": "Sample Tag",
  "description": "This is a sample tag.",
  "color": "#4299E1"
}
{
  "id": "69e0b863-8bb8-47e1-b566-8b8d57441c70",
  "created_at": "2023-09-05T17:32:56.571134Z",
  "updated_at": "2023-09-05T17:32:56.571151Z",
  "name": "Sample Tag",
  "description": "This is a sample tag.",
  "color": "#4299E1",
  "integration_id": "69e0b863-8bb8-47e1-b566-8b8d57441c70",
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435"
}

Get Tag

get
/api/v1/tag/{tag_id}

Get a tag by its ID.

Authorizations
Path parameters
tag_idstringRequired

The ID of the tag to retrieve.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
Responses
200

OK

application/json
idstringOptional

The unique identifier of the resource.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-09-05T17:32:56.571134Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-09-05T17:32:56.571151Z
namestringOptional

Indicates the name of the tag.

Example: Sample Tag
descriptionstringOptional

Indicates the description of the tag.

Example: This is a sample tag.
colorstringOptional

Defines the different colors of the tags in HEX format.

Example: #4299E1
integration_idstringOptional

The unique identifier of the integration the tag is pulled from. Null if the tag is created manually in Secoda.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
workspace_idstringOptional

Indiactes the workspace ID where the tag belongs.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
get/api/v1/tag/{tag_id}
GET /api/v1/tag/{tag_id} HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "id": "69e0b863-8bb8-47e1-b566-8b8d57441c70",
  "created_at": "2023-09-05T17:32:56.571134Z",
  "updated_at": "2023-09-05T17:32:56.571151Z",
  "name": "Sample Tag",
  "description": "This is a sample tag.",
  "color": "#4299E1",
  "integration_id": "69e0b863-8bb8-47e1-b566-8b8d57441c70",
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435"
}

Delete Tag

delete
/api/v1/tag/{tag_id}

Delete a tag by its ID.

Authorizations
Path parameters
tag_idstringRequired

The ID of the tag to delete.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
Responses
204

No Content

No content

delete/api/v1/tag/{tag_id}
DELETE /api/v1/tag/{tag_id} HTTP/1.1
Host: api.secoda.co
Accept: */*

No content

Update Tag

patch
/api/v1/tag/{tag_id}

Use this endpoint to update tag name, color, or icon.

Authorizations
Path parameters
tag_idstringRequired

The ID of the tag to update.

Example: 38040671-8f1d-4322-b895-4fd7b73317bf
Body
colorstringRequired

Represents the color of the tags.

Example: #316650
Responses
204

No Content

No content

patch/api/v1/tag/{tag_id}
PATCH /api/v1/tag/{tag_id} HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "color": "#316650"
}

No content

Last updated

Was this helpful?